Index: c/src/ada-tests/sptests/sp01/sp01.adb
===================================================================
--- c/src/ada-tests/sptests/sp01/sp01.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp01/sp01.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP01 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP01;
Index: c/src/ada-tests/sptests/sp02/sp02.adb
===================================================================
--- c/src/ada-tests/sptests/sp02/sp02.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp02/sp02.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP02 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP02;
Index: c/src/ada-tests/sptests/sp03/sp03.adb
===================================================================
--- c/src/ada-tests/sptests/sp03/sp03.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp03/sp03.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP03 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP03;
Index: c/src/ada-tests/sptests/sp03/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp03/sptest.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp03/sptest.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -50,5 +50,5 @@
          SPTEST.TASK_NAME( 1 ), 
          1, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -61,5 +61,5 @@
          SPTEST.TASK_NAME( 2 ), 
          1, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
Index: c/src/ada-tests/sptests/sp04/README
===================================================================
--- c/src/ada-tests/sptests/sp04/README	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
+++ c/src/ada-tests/sptests/sp04/README	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -0,0 +1,13 @@
+#
+#  $Id$
+#
+
+This test is broken as it is currently implemented.  It is illegal for
+a task to do Ada IO during a extension since the Ada run-time uses
+locks to safeguard data structures.  Dispatching is disabled and the
+call to Text_IO in the Switch extension will lock the system up.
+
+The proper solution is to have the Switch extension lock task and
+time when it a switch occurs and have a single task print this
+information as necessary.
+
Index: c/src/ada-tests/sptests/sp04/sp04.adb
===================================================================
--- c/src/ada-tests/sptests/sp04/sp04.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp04/sp04.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP04 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP04;
Index: c/src/ada-tests/sptests/sp04/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp04/sptest.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp04/sptest.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -283,7 +283,13 @@
       TIME   : RTEMS.TIME_OF_DAY;
       STATUS : RTEMS.STATUS_CODES;
-   begin
-
-      INDEX := TEST_SUPPORT.TASK_NUMBER( HEIR.OBJECT.ID );
+      function TCB_To_ID (
+         TCB : RTEMS.TCB_POINTER
+      ) return RTEMS.ID;
+      pragma Import (C, TCB_To_ID, "tcb_to_id" );
+         
+   begin
+
+      --INDEX := TEST_SUPPORT.TASK_NUMBER( HEIR.OBJECT.ID );
+      INDEX := TCB_To_ID( HEIR );
 
       case INDEX is
Index: c/src/ada-tests/sptests/sp04/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp04/sptest.ads	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp04/sptest.ads	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -114,3 +114,20 @@
    );
 
+--
+--  This is the User Extension Table for this test.
+--
+
+   EXTENSIONS : aliased RTEMS.EXTENSIONS_TABLE := 
+   (
+        NULL,                                        -- Task create
+        NULL,                                        -- Task start
+        NULL,                                        -- Task restart
+        NULL,                                        -- Task delete
+        SPTEST.TASK_SWITCH'ACCESS,                   -- Task switch
+        NULL,                                        -- Task post switch
+        NULL,                                        -- Task begin
+        NULL,                                        -- Task exitted
+        NULL                                         -- Fatal error
+   );
+
 end SPTEST;
Index: c/src/ada-tests/sptests/sp05/sp05.adb
===================================================================
--- c/src/ada-tests/sptests/sp05/sp05.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp05/sp05.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP05 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP05;
Index: c/src/ada-tests/sptests/sp06/sp06.adb
===================================================================
--- c/src/ada-tests/sptests/sp06/sp06.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp06/sp06.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP06 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP06;
Index: c/src/ada-tests/sptests/sp07/sp07.adb
===================================================================
--- c/src/ada-tests/sptests/sp07/sp07.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp07/sp07.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP07 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP07;
Index: c/src/ada-tests/sptests/sp08/sp08.adb
===================================================================
--- c/src/ada-tests/sptests/sp08/sp08.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp08/sp08.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP08 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP08;
Index: c/src/ada-tests/sptests/sp09/sp09.adb
===================================================================
--- c/src/ada-tests/sptests/sp09/sp09.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp09/sp09.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP09 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP09;
Index: c/src/ada-tests/sptests/sp11/sp11.adb
===================================================================
--- c/src/ada-tests/sptests/sp11/sp11.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp11/sp11.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP11 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP11;
Index: c/src/ada-tests/sptests/sp12/sp12.adb
===================================================================
--- c/src/ada-tests/sptests/sp12/sp12.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp12/sp12.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP12 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP12;
Index: c/src/ada-tests/sptests/sp13/sp13.adb
===================================================================
--- c/src/ada-tests/sptests/sp13/sp13.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp13/sp13.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP13 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP13;
Index: c/src/ada-tests/sptests/sp14/sp14.adb
===================================================================
--- c/src/ada-tests/sptests/sp14/sp14.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp14/sp14.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP14 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP14;
Index: c/src/ada-tests/sptests/sp15/sp15.adb
===================================================================
--- c/src/ada-tests/sptests/sp15/sp15.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp15/sp15.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP15 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP15;
Index: c/src/ada-tests/sptests/sp16/sp16.adb
===================================================================
--- c/src/ada-tests/sptests/sp16/sp16.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp16/sp16.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP16 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP16;
Index: c/src/ada-tests/sptests/sp17/sp17.adb
===================================================================
--- c/src/ada-tests/sptests/sp17/sp17.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp17/sp17.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP17 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP17;
Index: c/src/ada-tests/sptests/sp19/sp19.adb
===================================================================
--- c/src/ada-tests/sptests/sp19/sp19.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp19/sp19.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP19 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP19;
Index: c/src/ada-tests/sptests/sp20/sp20.adb
===================================================================
--- c/src/ada-tests/sptests/sp20/sp20.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp20/sp20.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP20 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP20;
Index: c/src/ada-tests/sptests/sp21/sp21.adb
===================================================================
--- c/src/ada-tests/sptests/sp21/sp21.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp21/sp21.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP21 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP21;
Index: c/src/ada-tests/sptests/sp22/sp22.adb
===================================================================
--- c/src/ada-tests/sptests/sp22/sp22.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp22/sp22.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP22 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP22;
Index: c/src/ada-tests/sptests/sp23/sp23.adb
===================================================================
--- c/src/ada-tests/sptests/sp23/sp23.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp23/sp23.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP23 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP23;
Index: c/src/ada-tests/sptests/sp24/sp24.adb
===================================================================
--- c/src/ada-tests/sptests/sp24/sp24.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp24/sp24.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP24 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP24;
Index: c/src/ada-tests/sptests/sp25/sp25.adb
===================================================================
--- c/src/ada-tests/sptests/sp25/sp25.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/sp25/sp25.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SP25 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SP25;
Index: c/src/ada-tests/sptests/spsize/spsize.adb
===================================================================
--- c/src/ada-tests/sptests/spsize/spsize.adb	(revision 8e7b8105d6db79fdbfbeb93817b2ef834bc05d4e)
+++ c/src/ada-tests/sptests/spsize/spsize.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
@@ -21,10 +21,36 @@
 --
 
+with RTEMS;
 with SPTEST;
+with TEST_SUPPORT;
 
 procedure SPsize is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
 begin
 
-  SPTEST.INIT( 0 );
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      SPTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
 
 end SPsize;
